Subject: bug#8964: 24.0.50; `find-file' triggers the debugger when called with a nonexistent remote file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Jun 2011 21:27:40 +0300

> From: Glenn Morris <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Thu, 30 Jun 2011 14:00:03 -0400
> 
> Dani Moncayo wrote:
> 
> > How is it possible?  I.e., why "C-h v" gives a different value than "M-:"?
> >
> > And why "M-: debug-on-error RET" returns `t' even after doing (setq
> > debug-on-error nil)?
> 
> Because of eval-expression-debug-on-error, I think.

Of course.  And that's also the reason why evaluating something like
`(find-file "foo")' will run with debug-on-error set non-nil, and
that's why ange-ftp enters the debugger when it signals an error.

IOW, not a bug, like I said.